<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Контакты</title>
    <link rel="icon" type="image/png" href="/images/logo.png">
    <link rel="stylesheet" href="/static/css/user/headerStyles.css">
    <link rel="stylesheet" href="/static/css/user/appointmentStyles.css">
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
</head>
<body>
<header>
    <div class="container1">
        <div class="logo-container">
            <a href="/">
                <img src="/images/logo.png" width="80" height="80" alt="My Club Logo">
            </a>
        </div>
        <div class="menu-toggle" onclick="toggleMenu()">☰</div>
        <nav class="flex-block">
            <ul>
                <li><a th:href="@{/}" th:classappend="${currentPage == 'club'} ? 'active' : ''">Клуб</a></li>
                <li class="dropdown">
                    <a th:href="@{/services}" th:classappend="${currentPage == 'services'} ? 'active' : ''">Услуги</a>
                    <ul class="dropdown-content">
                        <li><a th:href="@{/services/gym}" th:classappend="${currentPage == 'gym'} ? 'active' : ''">Тренажерный зал</a></li>
                        <li><a th:href="@{/services/yoga}" th:classappend="${currentPage == 'yoga'} ? 'active' : ''">Йога</a></li>
                        <li><a th:href="@{/services/martial-arts}" th:classappend="${currentPage == 'martial-arts'} ? 'active' : ''">Зал единоборств</a></li>
                    </ul>
                </li>
                <li><a th:href="@{/team}" th:classappend="${currentPage == 'team'} ? 'active' : ''">Команда</a></li>
                <li><a th:href="@{/prices}" th:classappend="${currentPage == 'prices'} ? 'active' : ''">Цены</a></li>
                <li><a th:href="@{/contacts}" th:classappend="${currentPage == 'contacts'} ? 'active' : ''">Контакты</a></li>
            </ul>
        </nav>
    </div>
</header>
<script>
    function toggleMenu() {
        const nav = document.querySelector('header nav');
        nav.classList.toggle('show-menu');
    }
</script>
<div class="container">
    <div class="form-container">
        <form id="appointmentForm" action="#" th:action="@{/team/appointment}" th:object="${appointmentModel}" method="post">
            <label for="clientName">Имя:</label>
            <input type="text" id="clientName" name="clientName" th:field="*{clientName}" />

            <label for="clientPhone">Телефон:</label>
            <input type="text" id="clientPhone" name="clientPhone" th:field="*{clientPhone}" />

            <label for="trainerName">Тренер:</label>
            <select id="trainerName" name="trainerName" th:field="*{trainerName}">
                <option th:each="trainer : ${trainers}" th:value="${trainer.trainerName}" th:text="${trainer.trainerName}" th:selected="${trainer.trainerName == appointmentModel.trainerName}">Тренер</option>
            </select>

            <div class="checkbox-container">
                <input type="checkbox" id="consent" name="consent" />
                <label for="consent">Согласие на обработку персональных данных</label>
            </div>
            <input type="submit" value="Запись" />
        </form>
        <div th:if="${success}" class="success-message">
            <img src="/images/success.png" alt="Запись успешна" />
        </div>
    </div>
</div>
</body>
</html>
